Bug 445095 - BusLogic module can't compile in the rhel 5.2 beta kernel
BusLogic module can't compile in the rhel 5.2 beta kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
: 453281 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 13:18 EDT by Levente Farkas
Modified: 2009-01-20 15:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugfix (325 bytes, text/x-patch)
2008-05-05 11:49 EDT, Levente Farkas
no flags Details
a working patch:-) (25.47 KB, patch)
2008-05-05 13:49 EDT, Levente Farkas
no flags Details | Diff
RHEL5 fix for this issue (27.75 KB, patch)
2008-05-06 08:02 EDT, Prarit Bhargava
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 2932 None None None Never

  None (edit)
Description Levente Farkas 2008-05-03 13:18:05 EDT
Description of problem:
while i try to recompile the latest rhel 5.2 beta kernel-2.6.18-84.el5 to
include BusLogic (which is required for vmware, so it'd be useful to include it
anyway at least as a module!!!), i've got the following error. i don't modify
anything else just 
CONFIG_SCSI_BUSLOGIC=m
another problem that this kernel contains kabi_whitelist_* files in the src.rpm
(although the spec file generate it fi it's not there but that case at the end
when try to create the src.rpm if fails because the files are missing). so imho
it'd be better not to include these files in the src.rpm, rather generate it
after the compile.
-------------------------------------------------
In file included from drivers/scsi/BusLogic.c:57:
drivers/scsi/BusLogic.h:241: error: redeclaration of enumerator 'false'
include/linux/stddef.h:16: error: previous definition of 'false' was here
drivers/scsi/BusLogic.h:243: error: redeclaration of enumerator 'true'
include/linux/stddef.h:18: error: previous definition of 'true' was here
drivers/scsi/BusLogic.c: In function 'BusLogic_InitializeProbeInfoListISA':
drivers/scsi/BusLogic.c:584: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:586: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:588: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:590: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:592: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:594: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c: In function 'BusLogic_InitializeMultiMasterProbeInfo':
drivers/scsi/BusLogic.c:800: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:810: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:812: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:814: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:816: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c:818: warning: 'check_region' is deprecated (declared at
include/linux/ioport.h:134)
drivers/scsi/BusLogic.c: In function 'BusLogic_init':
drivers/scsi/BusLogic.c:2301: warning: ignoring return value of 'scsi_add_host',
declared with attribute warn_unused_result
make[2]: *** [drivers/scsi/BusLogic.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [drivers/scsi] Error 2
make[1]: *** Waiting for unfinished jobs....
-------------------------------------------------

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Prarit Bhargava 2008-05-05 10:28:32 EDT
While we (RedHat) don't include this module in our distro, it should at least
compile.

P.
Comment 2 Levente Farkas 2008-05-05 11:39:07 EDT
imho it'd be useful in inlcude as a module (because of vmware) and the patch is
very simple: 
--- ./drivers/scsi/BusLogic.h.lfarkas   2008-05-05 16:35:15.000000000 +0200    
                                                                               
                                                                            
+++ ./drivers/scsi/BusLogic.h   2008-05-05 16:35:43.000000000 +0200            
                                                                               
                                                                            
@@ -236,12 +236,12 @@                                                          
                                                                               
                                                                            
 /*                                                                            
                                                                               
                                                                            
   Define a Boolean data type.                                                 
                                                                               
                                                                            
 */                                                                            
                                                                               
                                                                            
-                                                                              
                                                                               
                                                                            
+/*                                                                            
                                                                               
                                                                            
 typedef enum {                                                                
                                                                               
                                                                            
        false,                                                                 
                                                                               
                                                                            
        true                                                                   
                                                                               
                                                                            
 } PACKED boolean;                                                             
                                                                               
                                                                            
-                                                                              
                                                                               
                                                                            
+*/                                                                            
                                                                               
                                                                            
 /*                                                                            
                                                                               
                                                                            
   Define a 10^18 Statistics Byte Counter data type.                           
                                                                               
                                                                            
 */                                                       
Comment 3 Levente Farkas 2008-05-05 11:49:41 EDT
Created attachment 304531 [details]
bugfix

it seems cun'n'paste is not working so i attached it.
Comment 4 Levente Farkas 2008-05-05 13:48:16 EDT
ok it was not that simple. so actually remove the typedef boolean and 
sed s/boolean/bool/g in BusLogic.{c,h} and FlashPoint.c is better (which is
what's in the current kernel.
Comment 5 Levente Farkas 2008-05-05 13:49:15 EDT
Created attachment 304542 [details]
a working patch:-)
Comment 6 Prarit Bhargava 2008-05-06 08:01:41 EDT
Backport of 

http://marc.info/?l=git-commits-head&m=117122477703016&w=2

P.
Comment 7 Prarit Bhargava 2008-05-06 08:02:51 EDT
Created attachment 304629 [details]
RHEL5 fix for this issue
Comment 8 Levente Farkas 2008-05-20 04:22:37 EDT
the only remaining question does rh build the buslogic driver in the default
kernel? without it the default kernel can't be used in vmware images:-( so it'd
be useful.
thanks
Comment 9 Prarit Bhargava 2008-05-20 06:18:54 EDT
Levente, RH does not build the buslogic driver in RHEL.

If this is a production issue, please report it to your Red Hat Support contact.

Thanks,

P.
Comment 10 Levente Farkas 2008-06-18 14:22:46 EDT
please close this bug since it's been already solved
Comment 11 RHEL Product and Program Management 2008-06-26 08:46:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Prarit Bhargava 2008-06-30 08:28:29 EDT
*** Bug 453281 has been marked as a duplicate of this bug. ***
Comment 14 Akemi Yagi 2008-07-01 11:19:48 EDT
(In reply to comment #8)
> the only remaining question does rh build the buslogic driver in the default
> kernel? without it the default kernel can't be used in vmware images:-( so
>it'd be useful.

If you use the LSI Logic SCSI adapter, there should not be a problem with
vmware.  In VMware workstation and VMware Server, I never needed to specify the
adapter.  Maybe because I select "Red Hat Enterprise Linux" as the guest OS? 
But some people say they have to actually choose the LSI to not use BusLogic.

Comment 15 Hans de Groot 2008-08-08 05:58:19 EDT
> If you use the LSI Logic SCSI adapter, there should not be a problem with
> vmware.  In VMware workstation and VMware Server, I never needed to specify the
> adapter.  Maybe because I select "Red Hat Enterprise Linux" as the guest OS? 
> But some people say they have to actually choose the LSI to not use BusLogic.

I could NOT choose the LSI Logic adapter in VMWARE server 1.06 when adding a real physical drive. When adding image files I could choose LSI but adding a 1 tb external USB disk formatted as ext3 there is no option to choose LSI. So In my opinion it would be very usefull to add buslogic support. Specially when rebuiling your own kernel requires you to patch the buslogic driver first.

And I realy prefer to use standard kernels so I do not need to rebuild/compile every time there is a kernel update. And vmware is used used a lot these days.

Regards

Hans de Groot
Comment 16 Hans de Groot 2008-08-08 06:56:11 EDT
Okay I finnaly did figure out how to change it to lsi logic. This is done in the guest .vmx file by adding a line scsi0.virtualDev = "lsilogic" to it. I tried chancing the vmdk file of the drive, and that does not work. So I guess my earlier remark is not valid.
Comment 17 Don Zickus 2008-08-08 17:08:19 EDT
in kernel-2.6.18-103.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 18 Alan Bartlett 2008-08-09 07:26:12 EDT
(In reply to comment #10)
> please close this bug since it's been already solved

It will be solved when there is a viable patch included in the SRPMS. At present, it is not solved, Levente.
Comment 23 errata-xmlrpc 2009-01-20 15:25:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.